edu.isi.pegasus.planner.classes

## Enum PegasusFile.LINKAGE

- java.lang.Object
- - java.lang.Enum<PegasusFile.LINKAGE>
  - - edu.isi.pegasus.planner.classes.PegasusFile.LINKAGE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PegasusFile.LINKAGE>

Enclosing class:
  PegasusFile

    public static enum PegasusFile.LINKAGE
    extends java.lang.Enum<PegasusFile.LINKAGE>

Enumeration for denoting type of linkage

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INOUT`
`INPUT`
`NONE`
`OUTPUT`

### Method Summary

All Methods Static Methods Concrete Methods
`static PegasusFile.LINKAGE` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PegasusFile.LINKAGE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INPUT

    public static final PegasusFile.LINKAGE INPUT

#### OUTPUT

    public static final PegasusFile.LINKAGE OUTPUT

#### INOUT

    public static final PegasusFile.LINKAGE INOUT

#### NONE

    public static final PegasusFile.LINKAGE NONE

### Method Detail

#### values

    public static PegasusFile.LINKAGE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PegasusFile.LINKAGE c : PegasusFile.LINKAGE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PegasusFile.LINKAGE valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null